%global tag R-Release_HEAD-sdk_feature-77_2012-06-10_19-42-02
%global contextQualifier 201208090744

%define __requires_exclude osgi*

Name:           eclipse-ecf
Version:        3.5.6
Release:        %mkrel 7
Summary:        Eclipse Communication Framework
Group:          Development/Java
License:        EPL
URL:            http://www.eclipse.org/ecf/
Source0:        http://git.eclipse.org/c/ecf/org.eclipse.ecf.git/snapshot/%{tag}.tar.bz2

BuildRequires:  java-devel >= 1.7.0 
BuildRequires:  jpackage-utils
BuildRequires:  eclipse-pde >= 4.2.0-5

BuildArch:      noarch

%description
ECF is a framework for building distributed servers, applications,
 and tools. It provides a modular implementation of the OSGi 4.2
 Remote Services standard, along with support for REST-based and
 SOAP-based remote services, and asynchronous messaging for remote services. 

%package core
Summary:   ECF core bundles
Group:     Development/Java
Requires:       java >= 1:1.7.0
Requires:       jpackage-utils

%description core
ECF bundles required by eclipse-platform.

%prep
%setup -q -n %{tag}

#get just the bits we need
mkdir -p ecf/plugins
mkdir -p ecf/features

cp -r releng/features/org.eclipse.ecf.filetransfer{,.httpclient}.feature \
    ecf/features

cp -r framework/bundles/org.eclipse.ecf ecf/plugins
cp -r framework/bundles/org.eclipse.ecf.identity ecf/plugins
cp -r framework/bundles/org.eclipse.ecf.ssl ecf/plugins
cp -r framework/bundles/org.eclipse.ecf.filetransfer ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer.ssl ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient ecf/plugins
cp -r providers/bundles/org.eclipse.ecf.provider.filetransfer.httpclient.ssl ecf/plugins

rm -rf `ls | grep -v "ecf"`

find . -type f -name "*.jar" -exec rm {} \;

%build
eclipse-pdebuild -f org.eclipse.ecf.filetransfer.feature -j "-DforceContextQualifier=%{contextQualifier}"
eclipse-pdebuild -f org.eclipse.ecf.filetransfer.httpclient.feature -j "-DforceContextQualifier=%{contextQualifier}"


%install
install -d -m 755 %{buildroot}%{_javadir}/ecf

unzip -q -n -d %{buildroot}%{_javadir}/ecf          build/rpmBuild/org.eclipse.ecf.filetransfer.feature.zip
unzip -q -n -d %{buildroot}%{_javadir}/ecf          build/rpmBuild/org.eclipse.ecf.filetransfer.httpclient.feature.zip

pushd %{buildroot}%{_javadir}/ecf/eclipse/plugins/
rm -rf org.apache*
ln -s %{_javadir}/commons-codec.jar
ln -s %{_javadir}/commons-httpclient.jar
ln -s %{_javadir}/commons-logging.jar
popd
%files core
%{_javadir}/ecf
%doc ecf/features/org.eclipse.ecf.filetransfer.feature/license.html
%doc ecf/features/org.eclipse.ecf.filetransfer.feature/about.html



%changelog

* Sat Jan 19 2013 dmorgan <dmorgan> 3.5.6-7.mga3
+ Revision: 389606
- Rebuild against fixed eclipse

* Fri Jan 11 2013 umeabot <umeabot> 3.5.6-6.mga3
+ Revision: 349371
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 06 2012 dmorgan <dmorgan> 3.5.6-5.mga3
+ Revision: 327134
- Filter out requires on osgi

* Sat Sep 15 2012 dmorgan <dmorgan> 3.5.6-4.mga3
+ Revision: 294051
- Rebuild against new eclipse
- imported package eclipse-ecf


* Mon Aug 27 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-3
- Don't duplicate org.apache* plugins
- Use context qualifier to avoid constant feature version changes.

* Wed Aug 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-2
- Review issues fixed.

* Wed Aug 8 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.5.6-1
- Initial packaging.
